ByteKit Docs
ByteKitIntroductionQuickstart
Client Libraries
MCP Server
Guides
Billing
API Reference
Health
Account
Screenshots
Scrape
Scrape Bulk
Fetch
GET /v1/fetchFetch a URL (GET)POST /v1/fetchFetch a URL (POST)
Fetch Bulk
Bulk
Monitors
Sitemap
Plans
Schema
Search
Usage
Webhooks
SDK Reference
ByteKit Docs
API Reference

Fetch

Fetch API — endpoints, requests, and responses.

The Fetch API. 2 endpoints:

Fetch a URL (GET)

GET /v1/fetch

Fetch a URL (POST)

POST /v1/fetch

GET /v1/scrape/bulk/{id}Get scrape bulk job status

Previous Page

GET /v1/fetchFetch a URL (GET)

Direct HTTP fetch. Successful responses return the upstream response bytes verbatim; metadata is returned in X-Fetch-* headers. Non-2xx upstream responses use the `upstream_error` JSON envelope with the upstream HTTP status.